package com.zd.chemical.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 报警硬件控制时长配置对象 hxp_smart_terminal_config
 * 
 * @author liubo
 * @date 2022-06-28
 */
@ApiModel("报警硬件控制时长配置")
public class HxpSmartTerminalConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 报警器ID */
    @Excel(name = "报警器ID")
    @ApiModelProperty(value = "报警器ID")
    private Long terminalId;
    /** 实验室ID */
    @Excel(name = "实验室ID")
    @ApiModelProperty(value = "实验室ID")
    private Long subId;
    /** 报警器响铃时长（单位秒） */
    @Excel(name = "报警器响铃时长", readConverterExp = "单=位秒")
    @ApiModelProperty(value = "报警器响铃时长")
    private Integer ringTime;
    /** 处理时长（单位分钟） */
    @Excel(name = "处理时长", readConverterExp = "单=位分钟")
    @ApiModelProperty(value = "处理时长")
    private Integer dealTime;
    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTerminalId(Long terminalId) 
    {
        this.terminalId = terminalId;
    }

    public Long getTerminalId() 
    {
        return terminalId;
    }
    public void setSubId(Long subId) 
    {
        this.subId = subId;
    }

    public Long getSubId() 
    {
        return subId;
    }
    public void setRingTime(Integer ringTime) 
    {
        this.ringTime = ringTime;
    }

    public Integer getRingTime() 
    {
        return ringTime;
    }
    public void setDealTime(Integer dealTime) 
    {
        this.dealTime = dealTime;
    }

    public Integer getDealTime() 
    {
        return dealTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("terminalId", getTerminalId())
            .append("subId", getSubId())
            .append("ringTime", getRingTime())
            .append("dealTime", getDealTime())
            .toString();
    }
}
